# class KStatusBarOfflineIndicator

###

Module | kio
Namespace |
Class | KStatusBarOfflineIndicator
Inherits | QWidget

Widget indicating network connection status using an icon and tooltip. This widget uses Solid.Networking internally to automatically show and hide itself as required.

    KStatusBarOfflineIndicator * indicator = new KStatusBarOfflineIndicator( this );
    statusBar()->addWidget( indicator, 0, false );

Author Will Stephenson <wstephenson@kde.org>

### methods

- KStatusBarOfflineIndicator (parent)

  returns ctor
  KDE 4.1.0 and later only

  Argument | Type | Default
  --- | --- | ---
  parent | QWidget |

  Default constructor.

  parent - the widget's parent

- KStatusBarOfflineIndicator (a0)

  returns ctor
  before KDE 4.1.0 only

  Argument | Type | Default
  --- | --- | ---
  a0 | QWidget |